Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin
Class IllegalArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.p13n.exceptions.SystemException
                      com.bea.portal.admin.IllegalArgumentException

All Implemented Interfaces:
  Serializable

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class IllegalArgumentException
extends SystemException

Illegal argument exception thrown by the admin EJBs

See Also:
  `SystemException`, Serialized Form

Constructor Summary
`IllegalArgumentException()` Deprecated.
`IllegalArgumentException(String message)` Deprecated. Constructor
`IllegalArgumentException(String message, Throwable t)` Deprecated. Constructor
`IllegalArgumentException(Throwable t)` Deprecated. Constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalArgumentException

    public IllegalArgumentException()

  Deprecated.

### IllegalArgumentException

    public IllegalArgumentException(String message)

  Deprecated.
  Constructor

### IllegalArgumentException

    public IllegalArgumentException(String message,
                                    Throwable t)

  Deprecated.
  Constructor

### IllegalArgumentException

    public IllegalArgumentException(Throwable t)

  Deprecated.
  Constructor

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved